<?php
###############################################################################
# loader.php
#
# @author Anil Kumar <akumar@codepunch.com>
# @link   https://codepunch.com
#
############################################################################### 

# Auto load all the classes.
# Uses the ClassLoader from Doctrine
error_reporting(-1);

use Doctrine\Common\ClassLoader;
require 'Doctrine/Common/ClassLoader.php';
$classes = array("Doctrine","CodePunch","Psr","Katzgrau");
foreach($classes as $class) {
	$classLoader = new ClassLoader($class, dirname(__FILE__));
	$classLoader->register();
}

\CodePunch\Config\ConfigRoot::load_global_config_data();

###############################################################################
